#
# spec file for package perl-Apache-Sandwich (Version 2.04)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  apache apache-devel mod_perl perl-URI
# usedforbuild    aaa_base aaa_dir apache apache-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp mod_perl modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl perl-URI ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Apache-Sandwich
%define apache_includedir   	%(apxs -q INCLUDEDIR)
%define version_perl       	%(rpm -q --queryformat '%{version}' perl)
%define version_apache		%(rpm -q --queryformat '%{version}' apache)
%define perl_installsitelib  	%(eval "`perl -V:installsitelib`"; echo $installsitelib)
Copyright:    BSD style
Group:        Development/Libraries/Perl
Provides:     Apache-Sandwich
Requires:     perl = %{version_perl} 
Requires:     apache = %{version_apache}
Requires:     mod_perl perl-URI
Conflicts:    perlmod
Autoreqprov:  on
Version:      2.04
Release:      164
Source:       Apache-Sandwich-2.04.tar.gz 
Summary:      Layered document (sandwich) maker
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}

%description
The Apache::Sandwich module allows you to add a per-directory custom
header" and/or "footer" content to a given uri. Only works with "GET"
requests. Output of combined parts is forced to *text/html*. The
handler for the sandwiched document is specified by the
SandwichHandler configuration variable. If it is not set,
"default-handler" is used

Authors:
--------
    Doug MacEachern
    Vivek Khera <khera@kciLink.com>

SuSE series: perl

%prep 
%setup -n Apache-Sandwich-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
export APACHE=`which httpd`
perl Makefile.PL
make all
make test
	

%install
export CFLAGS="$RPM_OPT_FLAGS"
export APACHE=`which httpd`
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
eval `perl -V:installarchlib`
install -d $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr \
        INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
        INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
        install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT/$installarchlib/perllocal.pod | \
	sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/%{name}
cd $RPM_BUILD_ROOT/%{perl_sitearch}/auto/Apache/Sandwich/
       cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%files
%defattr(-, root, root)
%doc ChangeLog Changes README MANIFEST
%doc %{_mandir}/man3/Apache::Sandwich.3pm.gz
%{perl_installsitelib}/Apache/Sandwich.pm
%{perl_sitearch}/auto/Apache/Sandwich/
/var/adm/perl-modules/%{name}

%changelog -n perl-Apache-Sandwich
* Fri Feb 23 2001 - ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Thu Nov 16 2000 - rolf@suse.de
- extracted Apache::Sandwich from perlmod package
